Get all the emails the client is a participant of. Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
GET /api/v1/client/{client_uuid}/emails

Headers

  • X-PLANNR-ACCOUNT-UUID string

Path parameters

  • client_uuid string Required

Query parameters

  • filter[incoming] boolean

    Filter by incoming or outgoing messages.

  • filter[uuid] string

    Filter by a comma separated list of message UUIDs.

  • include string

    Comma separated list of relationships to include in the response. Valid relationships are [firm, mailbox, participants, attachments].

  • sort string

    Field to sort by. Valid fields are [created_at, updated_at, message_created_at]. Negative sign to denote DESC. Defaults to '-message_created_at'.

Responses

  • 200 application/json
    Hide response attribute Show response attribute object
    • data array[object]
      Hide data attributes Show data attributes object
      • uuid string
      • created_at string
      • updated_at string
      • message_created_at string
      • mailbox object
        Hide mailbox attributes Show mailbox attributes object
        • uuid string
        • created_at string
        • updated_at string
        • created_by object
          Hide created_by attributes Show created_by attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • type

            Account type

          • role

            Account role

          • first_name

            First name

          • last_name

            Last name

          • name

            Name

          • email

            (Deprecated - Please use primary_email instead). The email of the account.

          • photo_url

            URL for initial avatar image

          • first_contact_date

            First contact date

          • next_review_date

            Next review date

          • previous_review_date

            Previous review date

          • anniversary_review_date

            Anniversary review date

          • terms_of_business_at

            Date the Terms of Business were agreed and signed

          • client_agreement_at

            Date the client agreement was agreed and signed

          • with_login

            Denotes whether the account has a login to Plannr

          • has_joint_account

            Denotes whether this account belongs to a joint account too

          • can_be_deleted

            Denotes if the account can be deleted

          • ownership_percentage

            Percentage ownership of the plan (This field is only present if viewing the account record via a plans relationship eg Plan -> Accounts)

          • inactive_at

            Inactive from date

          • last_interaction_at

            Last interaction date

          • referral_code

            Unique referral code for the employee account (employees only)

          • permissions

            Permission map where keys are permission names and values are target arrays

        • type string
        • email string
        • name string
        • state string
        • enabled boolean
        • message_count integer
      • firm object
        Hide firm attributes Show firm attributes object
        • uuid string
        • created_at string
        • updated_at string
        • name string
        • slug string
        • address_1 string
        • address_2 string
        • town_city string
        • county string
        • postcode string
        • country string
        • regulatory_text string
        • logo_icon string
        • brand_colours object
          Hide brand_colours attributes Show brand_colours attributes object
          • sidebar_background string
          • sidebar_accent string
          • sidebar_text string
          • sidebar_hover string
          • sidebar_active string
          • sidebar_title_background string
          • sidebar_title_primary string
          • sidebar_title_secondary string
          • sidebar_title_secondary_hover string
          • email_background string
          • email_logo_background_panel string
          • email_sub_text string
          • email_button_background string
          • email_button_text string
          • portal_sidebar_button_background string
          • portal_sidebar_button_hover string
          • portal_sidebar_button_active string
          • portal_brand_title string
          • portal_brand_sub_title string
          • portal_sidebar_title string
          • portal_sidebar_text string
          • portal_sidebar_text_hover string
          • portal_sidebar_text_active string
          • portal_sidebar_icon string
          • portal_sidebar_icon_hover string
          • portal_sidebar_icon_active string
          • portal_background string
          • portal_sidebar_account_title string
          • portal_sidebar_account_email string
          • portal_sidebar_divider string
          • portal_dashboard_bg_one string
          • portal_dashboard_bg_two string
          • portal_sidebar_collapse_button string
          • portal_sidebar_collapse_button_hover string
          • portal_sidebar_user_select_background string
          • portal_sidebar_user_select_hover string
          • portal_sidebar_user_select_text string
          • portal_sidebar_user_select_text_hover string
          • portal_sidebar_user_select_border string
          • portal_sidebar_user_select_border_hover string
        • is_subscribed boolean
        • addon_subscriptions object
          Hide addon_subscriptions attributes Show addon_subscriptions attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • enabled

            Determines if the addon is enabled

          • trial_ends_at

            If the addon is a paid addon, this is the date the free trial will end for the addon subscription.

          • trial_ends_in_days

            If the addon is a paid addon, this is the number of days left in the free trial for the addon subscription.

          • payment_confirmed_at

            If the addon is a paid addon, this is the date the payment was confirmed for the addon subscription.

        • keep_deleted_files_for integer
        • tax number
        • month_end integer
        • statement_frequency string
        • billing object
          Hide billing attributes Show billing attributes object
          • invoice_address_1 string
          • invoice_address_2 string
          • invoice_town_city string
          • invoice_county string
          • invoice_postcode string
          • invoice_country string
          • invoice_email string
        • task_board_template object
          Hide task_board_template attributes Show task_board_template attributes object
          • uuid

            uuid of the board

          • created_at

            timestamp of when the board was created

          • updated_at

            timestamp of when the board was updated

          • is_template

            returns true if the board is a template

          • name

            the name of the board

          • default_list_uuid

            the default list uuid

          • is_editable

            determines if the user can edit the board (e.g update the board, lists and move tasks around)

          • priorities

            returns the array of priorities that can be set within a task

        • ip_whitelist array[string]
        • welcome_paragraph_html string
        • email_welcome_paragraph_html string
        • show_fact_find_illustrations boolean
        • cc_email_addresses array[string]
        • bcc_email_addresses array[string]
        • reply_to_email_address string
        • mobile_app_support_number string
        • mobile_app_support_email string
      • ancestors object
        Hide ancestors attributes Show ancestors attributes object
        • data object
          Hide data attributes Show data attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • message_created_at

            The timestamp of when the message was sent.

          • ancestors

            Paginated thread of messages that come before this message

          • descendants

            Paginated thread of messages that come after this message

          • thread_count

            The number of thread messages.

          • subject

            The subject of the message.

          • incoming

            Whether the message is incoming or outgoing.

          • text

            The plain text content of the message.

          • html

            The HTML content of the message. Only available when the message is retrieved directly.

        • meta string
      • descendants object
        Hide descendants attributes Show descendants attributes object
        • data object
          Hide data attributes Show data attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • message_created_at

            The timestamp of when the message was sent.

          • ancestors

            Paginated thread of messages that come before this message

          • descendants

            Paginated thread of messages that come after this message

          • thread_count

            The number of thread messages.

          • subject

            The subject of the message.

          • incoming

            Whether the message is incoming or outgoing.

          • text

            The plain text content of the message.

          • html

            The HTML content of the message. Only available when the message is retrieved directly.

        • meta string
      • thread_count integer
      • participants array[object]
        Hide participants attributes Show participants attributes object
        • uuid string
        • created_at string
        • updated_at string
        • mailbox_message object
          Hide mailbox_message attributes Show mailbox_message attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • message_created_at

            The timestamp of when the message was sent.

          • ancestors

            Paginated thread of messages that come before this message

          • descendants

            Paginated thread of messages that come after this message

          • thread_count

            The number of thread messages.

          • subject

            The subject of the message.

          • incoming

            Whether the message is incoming or outgoing.

          • text

            The plain text content of the message.

          • html

            The HTML content of the message. Only available when the message is retrieved directly.

        • firm object
          Hide firm attributes Show firm attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • name

            Name of the firm

          • slug

            Slug of the firm

          • address_1

            First line of the address

          • address_2

            Second line of the address

          • town_city

            Town/City

          • county

            County

          • postcode

            Postcode

          • country

            Country

          • regulatory_text

            Regulatory text of the firm.

          • logo_icon

            URL of your firm logo icon.

          • brand_colours

            Firm branding colours.

          • is_subscribed

            Subscription status.

          • keep_deleted_files_for

            Number of days to keep deleted files for

          • tax

            Tax percent

          • month_end

            Date of the month for the monthly income reconciliation statements to end

          • statement_frequency

            The frequency of the income reconciliation statements

          • billing

            Firm invoice details for billing

          • ip_whitelist

            A list of IP Addresses a firm is allowed to log in from.

          • welcome_paragraph_html

            Custom welcome paragraph html for the branded auth welcome page

          • email_welcome_paragraph_html

            Custom welcome paragraph for the welcome/new user email

          • show_fact_find_illustrations

            Determines if the illustrations/graphics are displayed on the fact find.

          • cc_email_addresses

            Array of email cc addresses.

          • bcc_email_addresses

            Array of email bcc addresses.

          • reply_to_email_address

            Firm reply to email address.

          • mobile_app_support_number

            Firm mobile app support number.

          • mobile_app_support_email

            Firm mobile app support email address.

        • mailbox object
          Hide mailbox attributes Show mailbox attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • type

            The type of mailbox this is. Possible values are: imap, gmail and outlook

          • email

            The email address of the mailbox.

          • name

            The name of the mailbox.

          • state

            The status of the mailbox. Possible values are: init, syncing, connecting, connected, authenticationError, connectError, unset, disconnected and deleting

          • enabled

            Whether the mailbox is enabled or not.

          • message_count

            The number of messages synced by this mailbox.

        • type string
        • name string
        • email string
      • attachments array[object]
        Hide attachments attributes Show attachments attributes object
        • uuid string
        • created_at string
        • updated_at string
        • firm object
          Hide firm attributes Show firm attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • name

            Name of the firm

          • slug

            Slug of the firm

          • address_1

            First line of the address

          • address_2

            Second line of the address

          • town_city

            Town/City

          • county

            County

          • postcode

            Postcode

          • country

            Country

          • regulatory_text

            Regulatory text of the firm.

          • logo_icon

            URL of your firm logo icon.

          • brand_colours

            Firm branding colours.

          • is_subscribed

            Subscription status.

          • keep_deleted_files_for

            Number of days to keep deleted files for

          • tax

            Tax percent

          • month_end

            Date of the month for the monthly income reconciliation statements to end

          • statement_frequency

            The frequency of the income reconciliation statements

          • billing

            Firm invoice details for billing

          • ip_whitelist

            A list of IP Addresses a firm is allowed to log in from.

          • welcome_paragraph_html

            Custom welcome paragraph html for the branded auth welcome page

          • email_welcome_paragraph_html

            Custom welcome paragraph for the welcome/new user email

          • show_fact_find_illustrations

            Determines if the illustrations/graphics are displayed on the fact find.

          • cc_email_addresses

            Array of email cc addresses.

          • bcc_email_addresses

            Array of email bcc addresses.

          • reply_to_email_address

            Firm reply to email address.

          • mobile_app_support_number

            Firm mobile app support number.

          • mobile_app_support_email

            Firm mobile app support email address.

        • name string
        • type string
        • size integer
        • download_url string
        • extension string
        • status string
      • subject string
      • incoming boolean
      • text string
      • html string
GET /api/v1/client/{client_uuid}/emails
curl \
 --request GET 'https://api.plannrcrm.com/api/v1/client/6ff8f7f6-1eb3-3525-be4a-3932c805afed/emails' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
  "data": [
    {
      "uuid": "100f5243-71cd-4ad4-aa78-939360ab5875",
      "created_at": "2026-07-17T15:25:28+01:00",
      "updated_at": "2026-07-17T15:25:28+01:00",
      "message_created_at": "2026-07-17T15:25:28+01:00",
      "mailbox": {
        "uuid": "b364eb8b-99b5-43e9-9c83-243bce236520",
        "created_at": "2026-07-17T15:25:28+01:00",
        "updated_at": "2026-07-17T15:25:28+01:00",
        "created_by": {
          "uuid": "543b4daa-a2a5-40d9-b97a-af39e3746a8f",
          "created_at": "2026-07-17T15:25:36+01:00",
          "updated_at": "2026-07-17T15:25:36+01:00",
          "type": "client",
          "role": "client",
          "first_name": "Gareth",
          "last_name": "Thompson",
          "name": "Gareth Thompson",
          "email": "gareth@codepotato.co.uk",
          "photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
          "first_contact_date": "2026-07-17T15:25:36+01:00",
          "next_review_date": "2026-07-17T15:25:36+01:00",
          "previous_review_date": "2026-07-17T15:25:36+01:00",
          "anniversary_review_date": "2026-07-17T15:25:36+01:00",
          "terms_of_business_at": "2026-07-17T15:25:36+01:00",
          "client_agreement_at": "2026-07-17T15:25:36+01:00",
          "with_login": true,
          "has_joint_account": true,
          "can_be_deleted": "false",
          "ownership_percentage": 100.0,
          "inactive_at": "2026-07-17",
          "last_interaction_at": "2026-07-17 15:25:36",
          "referral_code": "ABC12345",
          "permissions": {
            "firm:read": [
              "firm"
            ],
            "network:read": [
              "network:uuid"
            ]
          }
        },
        "type": "imap",
        "email": "test@example.org",
        "name": "Test Mailbox",
        "state": "connected",
        "enabled": true,
        "message_count": 1
      },
      "firm": {
        "uuid": "c1dbade5-f199-4b3e-b2cc-258ac8b25342",
        "created_at": "2026-07-17T15:25:28+01:00",
        "updated_at": "2026-07-17T15:25:28+01:00",
        "name": "Codepotato",
        "slug": "codepotato",
        "address_1": "Suite E, 5 The Briars",
        "address_2": "Waterberry Drive",
        "town_city": "Waterlooville",
        "county": "Hampshire",
        "postcode": "PO7 7YH",
        "country": "United Kingdom",
        "regulatory_text": "Regulatory text",
        "logo": "https://api.plannrcrm.com/images/plannr.jpg",
        "logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
        "brand_colours": {
          "sidebar_background": "#0E0E56",
          "sidebar_accent": "#36367E",
          "sidebar_text": "#FFFFFF",
          "sidebar_hover": "#0A0A42",
          "sidebar_active": "#53DBB8",
          "sidebar_title_background": "#36367E",
          "sidebar_title_primary": "#FFC634",
          "sidebar_title_secondary": "#FFFFFF",
          "sidebar_title_secondary_hover": "#FFFFFF",
          "email_background": "#0E0E56",
          "email_logo_background_panel": "#36367E",
          "email_sub_text": "#FFFFFF",
          "email_button_background": "#36367E",
          "email_button_text": "#FFFFFF",
          "portal_sidebar_button_background": "#F6F6F6",
          "portal_sidebar_button_hover": "#FFFFFF",
          "portal_sidebar_button_active": "#FFFFFF",
          "portal_brand_title": "#323B4B",
          "portal_brand_sub_title": "#828994",
          "portal_sidebar_title": "#11151D",
          "portal_sidebar_text": "#323B4B",
          "portal_sidebar_text_hover": "#323B4B",
          "portal_sidebar_text_active": "#323B4B",
          "portal_sidebar_icon": "#828994",
          "portal_sidebar_icon_hover": "#828994",
          "portal_sidebar_icon_active": "#828994",
          "portal_background": "#F6F6F6",
          "portal_sidebar_account_title": "#11151D",
          "portal_sidebar_account_email": "#828994",
          "portal_sidebar_divider": "#E3E5E9",
          "portal_dashboard_bg_one": "#EF4583",
          "portal_dashboard_bg_two": "#FFC634",
          "portal_sidebar_collapse_button": "#828994",
          "portal_sidebar_collapse_button_hover": "#B3B9C4",
          "portal_sidebar_user_select_background": "#F6F6F6",
          "portal_sidebar_user_select_hover": "#F6F6F6",
          "portal_sidebar_user_select_text": "#323B4B",
          "portal_sidebar_user_select_text_hover": "#323B4B",
          "portal_sidebar_user_select_border": "#EEEEEE",
          "portal_sidebar_user_select_border_hover": "#828994"
        },
        "is_subscribed": true,
        "addon_subscriptions": {
          "uuid": "c938bc94-e9b6-4d8d-87ed-b0bd8b4571b7",
          "created_at": "2026-07-17T15:25:36+01:00",
          "updated_at": "2026-07-17T15:25:36+01:00",
          "enabled": "true",
          "trial_ends_at": "2026-07-31",
          "trial_ends_in_days": 14,
          "payment_confirmed_at": "2026-08-04"
        },
        "keep_deleted_files_for": 30,
        "tax": 17.5,
        "month_end": 25,
        "statement_frequency": "monthly",
        "billing": {
          "invoice_address_1": "Suite E, 5 The Briars",
          "invoice_address_2": "Waterberry Drive",
          "invoice_town_city": "Waterlooville",
          "invoice_county": "Hampshire",
          "invoice_postcode": "PO7 7YH",
          "invoice_country": "United Kingdom",
          "invoice_email": "gareth@codepotato.co.uk"
        },
        "task_board_template": {
          "uuid": null,
          "created_at": "2026-07-17T15:25:36+01:00",
          "updated_at": "2026-07-17T15:25:36+01:00",
          "is_template": false,
          "name": "Task Board",
          "default_list_uuid": null,
          "is_editable": true,
          "priorities": [
            {
              "name": "High",
              "value": "high"
            },
            {
              "name": "Low",
              "value": "low"
            }
          ]
        },
        "ip_whitelist": [
          "192.168.0.1",
          "127.0.0.1"
        ],
        "welcome_paragraph_html": "<h1>Welcome.</h1>",
        "email_welcome_paragraph_html": "Welcome to Plannr!",
        "show_fact_find_illustrations": true,
        "cc_email_addresses": [
          "jack@example.com",
          "jill@example.com"
        ],
        "bcc_email_addresses": [
          "jack@example.com",
          "jill@example.com"
        ],
        "reply_to_email_address": "jack@example.com",
        "mobile_app_support_number": "01234 567890",
        "mobile_app_support_email": "support@example.com"
      },
      "ancestors": {
        "data": {
          "uuid": "41f0514d-60d3-4f82-ae1f-2b641bc481ad",
          "created_at": "2026-07-17T15:25:36+01:00",
          "updated_at": "2026-07-17T15:25:36+01:00",
          "message_created_at": "2026-07-17T15:25:36+01:00",
          "ancestors": {
            "data": "App\\Http\\Resources\\MailboxMessageResource",
            "meta": "object",
            "links": "object"
          },
          "descendants": {
            "data": "App\\Http\\Resources\\MailboxMessageResource",
            "meta": "object",
            "links": "object"
          },
          "thread_count": 0,
          "subject": "Hello World",
          "incoming": true,
          "text": "Message body here in plain text",
          "html": "<p>Message body here in HTML</p>"
        },
        "meta": "object",
        "links": "object"
      },
      "descendants": {
        "data": {
          "uuid": "41f0514d-60d3-4f82-ae1f-2b641bc481ad",
          "created_at": "2026-07-17T15:25:36+01:00",
          "updated_at": "2026-07-17T15:25:36+01:00",
          "message_created_at": "2026-07-17T15:25:36+01:00",
          "ancestors": {
            "data": "App\\Http\\Resources\\MailboxMessageResource",
            "meta": "object",
            "links": "object"
          },
          "descendants": {
            "data": "App\\Http\\Resources\\MailboxMessageResource",
            "meta": "object",
            "links": "object"
          },
          "thread_count": 0,
          "subject": "Hello World",
          "incoming": true,
          "text": "Message body here in plain text",
          "html": "<p>Message body here in HTML</p>"
        },
        "meta": "object",
        "links": "object"
      },
      "thread_count": 0,
      "participants": [
        {
          "uuid": "f4fc9655-e3aa-4f31-be93-eab9ae13e526",
          "created_at": "2026-07-17T15:25:28+01:00",
          "updated_at": "2026-07-17T15:25:28+01:00",
          "mailbox_message": {
            "uuid": "41f0514d-60d3-4f82-ae1f-2b641bc481ad",
            "created_at": "2026-07-17T15:25:36+01:00",
            "updated_at": "2026-07-17T15:25:36+01:00",
            "message_created_at": "2026-07-17T15:25:36+01:00",
            "ancestors": {
              "data": "App\\Http\\Resources\\MailboxMessageResource",
              "meta": "object",
              "links": "object"
            },
            "descendants": {
              "data": "App\\Http\\Resources\\MailboxMessageResource",
              "meta": "object",
              "links": "object"
            },
            "thread_count": 0,
            "subject": "Hello World",
            "incoming": true,
            "text": "Message body here in plain text",
            "html": "<p>Message body here in HTML</p>"
          },
          "firm": {
            "uuid": "91f29e51-ce21-4ef7-b20a-977e7ed8f32c",
            "created_at": "2026-07-17T15:25:36+01:00",
            "updated_at": "2026-07-17T15:25:36+01:00",
            "name": "Codepotato",
            "slug": "codepotato",
            "address_1": "Suite E, 5 The Briars",
            "address_2": "Waterberry Drive",
            "town_city": "Waterlooville",
            "county": "Hampshire",
            "postcode": "PO7 7YH",
            "country": "United Kingdom",
            "regulatory_text": "Regulatory text",
            "logo": "https://api.plannrcrm.com/images/plannr.jpg",
            "logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
            "brand_colours": {
              "sidebar_background": "#0E0E56",
              "sidebar_accent": "#36367E",
              "sidebar_text": "#FFFFFF",
              "sidebar_hover": "#0A0A42",
              "sidebar_active": "#53DBB8",
              "sidebar_title_background": "#36367E",
              "sidebar_title_primary": "#FFC634",
              "sidebar_title_secondary": "#FFFFFF",
              "sidebar_title_secondary_hover": "#FFFFFF",
              "email_background": "#0E0E56",
              "email_logo_background_panel": "#36367E",
              "email_sub_text": "#FFFFFF",
              "email_button_background": "#36367E",
              "email_button_text": "#FFFFFF",
              "portal_sidebar_button_background": "#F6F6F6",
              "portal_sidebar_button_hover": "#FFFFFF",
              "portal_sidebar_button_active": "#FFFFFF",
              "portal_brand_title": "#323B4B",
              "portal_brand_sub_title": "#828994",
              "portal_sidebar_title": "#11151D",
              "portal_sidebar_text": "#323B4B",
              "portal_sidebar_text_hover": "#323B4B",
              "portal_sidebar_text_active": "#323B4B",
              "portal_sidebar_icon": "#828994",
              "portal_sidebar_icon_hover": "#828994",
              "portal_sidebar_icon_active": "#828994",
              "portal_background": "#F6F6F6",
              "portal_sidebar_account_title": "#11151D",
              "portal_sidebar_account_email": "#828994",
              "portal_sidebar_divider": "#E3E5E9",
              "portal_dashboard_bg_one": "#EF4583",
              "portal_dashboard_bg_two": "#FFC634",
              "portal_sidebar_collapse_button": "#828994",
              "portal_sidebar_collapse_button_hover": "#B3B9C4",
              "portal_sidebar_user_select_background": "#F6F6F6",
              "portal_sidebar_user_select_hover": "#F6F6F6",
              "portal_sidebar_user_select_text": "#323B4B",
              "portal_sidebar_user_select_text_hover": "#323B4B",
              "portal_sidebar_user_select_border": "#EEEEEE",
              "portal_sidebar_user_select_border_hover": "#828994"
            },
            "is_subscribed": true,
            "keep_deleted_files_for": 30,
            "tax": 17.5,
            "month_end": 25,
            "statement_frequency": "monthly",
            "billing": {
              "invoice_address_1": "Suite E, 5 The Briars",
              "invoice_address_2": "Waterberry Drive",
              "invoice_town_city": "Waterlooville",
              "invoice_county": "Hampshire",
              "invoice_postcode": "PO7 7YH",
              "invoice_country": "United Kingdom",
              "invoice_email": "gareth@codepotato.co.uk"
            },
            "ip_whitelist": [
              "192.168.0.1",
              "127.0.0.1"
            ],
            "welcome_paragraph_html": "<h1>Welcome.</h1>",
            "email_welcome_paragraph_html": "Welcome to Plannr!",
            "show_fact_find_illustrations": true,
            "cc_email_addresses": [
              "jack@example.com",
              "jill@example.com"
            ],
            "bcc_email_addresses": [
              "jack@example.com",
              "jill@example.com"
            ],
            "reply_to_email_address": "jack@example.com",
            "mobile_app_support_number": "01234 567890",
            "mobile_app_support_email": "support@example.com"
          },
          "mailbox": {
            "uuid": "346c4475-7c3a-4a63-9130-40442b8a9d34",
            "created_at": "2026-07-17T15:25:36+01:00",
            "updated_at": "2026-07-17T15:25:36+01:00",
            "type": "imap",
            "email": "test@example.org",
            "name": "Test Mailbox",
            "state": "connected",
            "enabled": true,
            "message_count": 1
          },
          "type": "cc",
          "name": "John Doe",
          "email": "john.doe@example.com"
        }
      ],
      "attachments": [
        {
          "uuid": "a689d698-b30d-4d15-a7cb-f26d7fc5849b",
          "created_at": "2026-07-17T15:25:28+01:00",
          "updated_at": "2026-07-17T15:25:28+01:00",
          "firm": {
            "uuid": "91f29e51-ce21-4ef7-b20a-977e7ed8f32c",
            "created_at": "2026-07-17T15:25:36+01:00",
            "updated_at": "2026-07-17T15:25:36+01:00",
            "name": "Codepotato",
            "slug": "codepotato",
            "address_1": "Suite E, 5 The Briars",
            "address_2": "Waterberry Drive",
            "town_city": "Waterlooville",
            "county": "Hampshire",
            "postcode": "PO7 7YH",
            "country": "United Kingdom",
            "regulatory_text": "Regulatory text",
            "logo": "https://api.plannrcrm.com/images/plannr.jpg",
            "logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
            "brand_colours": {
              "sidebar_background": "#0E0E56",
              "sidebar_accent": "#36367E",
              "sidebar_text": "#FFFFFF",
              "sidebar_hover": "#0A0A42",
              "sidebar_active": "#53DBB8",
              "sidebar_title_background": "#36367E",
              "sidebar_title_primary": "#FFC634",
              "sidebar_title_secondary": "#FFFFFF",
              "sidebar_title_secondary_hover": "#FFFFFF",
              "email_background": "#0E0E56",
              "email_logo_background_panel": "#36367E",
              "email_sub_text": "#FFFFFF",
              "email_button_background": "#36367E",
              "email_button_text": "#FFFFFF",
              "portal_sidebar_button_background": "#F6F6F6",
              "portal_sidebar_button_hover": "#FFFFFF",
              "portal_sidebar_button_active": "#FFFFFF",
              "portal_brand_title": "#323B4B",
              "portal_brand_sub_title": "#828994",
              "portal_sidebar_title": "#11151D",
              "portal_sidebar_text": "#323B4B",
              "portal_sidebar_text_hover": "#323B4B",
              "portal_sidebar_text_active": "#323B4B",
              "portal_sidebar_icon": "#828994",
              "portal_sidebar_icon_hover": "#828994",
              "portal_sidebar_icon_active": "#828994",
              "portal_background": "#F6F6F6",
              "portal_sidebar_account_title": "#11151D",
              "portal_sidebar_account_email": "#828994",
              "portal_sidebar_divider": "#E3E5E9",
              "portal_dashboard_bg_one": "#EF4583",
              "portal_dashboard_bg_two": "#FFC634",
              "portal_sidebar_collapse_button": "#828994",
              "portal_sidebar_collapse_button_hover": "#B3B9C4",
              "portal_sidebar_user_select_background": "#F6F6F6",
              "portal_sidebar_user_select_hover": "#F6F6F6",
              "portal_sidebar_user_select_text": "#323B4B",
              "portal_sidebar_user_select_text_hover": "#323B4B",
              "portal_sidebar_user_select_border": "#EEEEEE",
              "portal_sidebar_user_select_border_hover": "#828994"
            },
            "is_subscribed": true,
            "keep_deleted_files_for": 30,
            "tax": 17.5,
            "month_end": 25,
            "statement_frequency": "monthly",
            "billing": {
              "invoice_address_1": "Suite E, 5 The Briars",
              "invoice_address_2": "Waterberry Drive",
              "invoice_town_city": "Waterlooville",
              "invoice_county": "Hampshire",
              "invoice_postcode": "PO7 7YH",
              "invoice_country": "United Kingdom",
              "invoice_email": "gareth@codepotato.co.uk"
            },
            "ip_whitelist": [
              "192.168.0.1",
              "127.0.0.1"
            ],
            "welcome_paragraph_html": "<h1>Welcome.</h1>",
            "email_welcome_paragraph_html": "Welcome to Plannr!",
            "show_fact_find_illustrations": true,
            "cc_email_addresses": [
              "jack@example.com",
              "jill@example.com"
            ],
            "bcc_email_addresses": [
              "jack@example.com",
              "jill@example.com"
            ],
            "reply_to_email_address": "jack@example.com",
            "mobile_app_support_number": "01234 567890",
            "mobile_app_support_email": "support@example.com"
          },
          "name": "example.pdf",
          "type": "application/pdf",
          "size": 123456,
          "download_url": "https://example.com/download/attachment",
          "extension": "pdf",
          "status": "uploaded"
        }
      ],
      "subject": "Hello World",
      "incoming": true,
      "text": "Message body here in plain text",
      "html": "<p>Message body here in HTML</p>"
    }
  ]
}